<?php
header ('Content-type: application/json');
session_start();
// BBDD Mercafruit
$conexionMERCA = odbc_connect('ASA11', 'srvpedidos', 'strateRLexPe') or die(odbc_errormsg());
$conexion2 = odbc_connect('ResdisEnlace', 'resdis', '00reset') or die(odbc_errormsg());

$rescentro = "BCN";
$serie = "PED";
$usuario = "srvpedidos";
$usuario_carrito='online';
$rescentro='BCN';

$client = $_SESSION["codigo"];

$idEmpresa = ("1");

$FileImput = file_get_contents ('php://input');


$detalles = (array)json_decode($FileImput);
$fecha_entrega = date("Y-m-d H:i:s");
$ahora = date("Y-m-d H:i:s");   
$fecha_entrega_dba = date("Y-m-d H:i:s");
$hoy = (date("m/d/Y"));
$dia_entrega =date("Y-m-d");
$dia_entrega = (date("m/d/Y",strtotime($dia_entrega)));
$dia_entrega = date("D",strtotime($dia_entrega));
/************************* BUSCAMOS ULTIMO NUMERO DE PEDIDO ******************************************/
$contador = 0;
$sql_contador = "SELECT \"DBA\".\"fn_contador_get\"('$serie','$rescentro',2020) as contador";
$res_contador = odbc_exec($conexionMERCA, $sql_contador);
while($row_contador = odbc_fetch_array($res_contador)) {
	$contador = $row_contador['contador'];
}
$numero_pedido=$contador;
/*************************FIN NUMERO DE PEDIDO ********************************************************/

/********************************DATOS DE RUTA *******************************/
                $sql2 = "SELECT * FROM fsclient WHERE cod_client = '" . $client . "'";
                $res = odbc_exec($conexion2, $sql2);
                $codcli = $client;
                $estadoped = 2;
                $direntrega = odbc_result($res, "den_client");
                $codruta = trim(odbc_result($res, "codruta"));
                $ordenruta = odbc_result($res, "ordruta");
				if(!$ordenruta) {
					$ordenruta = "0";
				}
				if(!$codruta) {
					$codruta = "SinRuta";
				}

/*FIN*******************************DATOS DE RUTA *******************************/





/************ LINEAS ***************************************************/
	   $linea=0;
       foreach ($detalles as $detalle ) 
       {
		   if($linea==0){
			/**********************************CABECERA ***************************************/
			$ins_cabecera =" INSERT INTO dba.cabped (centro, numpedido, usuario, codcli, fecpedido, fecservicio, estadoped, obs, imppedido, codruta, ordenruta,direntrega ) VALUES 
			('$rescentro', $numero_pedido, '$usuario_carrito', '$client',GetDate(), '$fecha_entrega_dba', '2', 'OFERTA', 'N', '$codruta', $ordenruta, '$direntrega')  ";
			 $res_ins_cabecera=odbc_exec($conexionMERCA, $ins_cabecera);
			 odbc_free_result ($res_ins_cabecera);
			 
			/*FIN******************************CABECERA ***************************************/ 			   
		   }
            /**$detalle[0] = str_replace ("\xc3\x91","¥",$detalle[0]);  **/
            $detalle[0] = utf8_encode($detalle[0]);
                        $articulo      = $detalle[0];
                        $cantidad      = $detalle[1];
                        $observacion   = $detalle[2];
                        $codmedida     = $detalle[3];
                        $codmedida = 'CJ';
                        $codreferencia = $detalle[3];
                        $codcatalogo   = $detalle[4];
			$linea++;
			$ins_lineas =" INSERT INTO dba.linped (centro, numpedido, linped, codart, codref, codmedida,cantidad,estadolin, obs, bruto, precio, cantidadoriginal, mantprecio, tara, neto, comprar, recibido, comprado,codcatalogo) VALUES 
			('$rescentro',$numero_pedido,$linea,'$articulo', '$codreferencia','$codmedida',$cantidad,'V','$observacion', 0,0,$cantidad,'N',0,0, 'N','N','N','$codcatalogo');";
echo $ins_lineas;			
			$res_ins_lineas=odbc_exec($conexionMERCA, $ins_lineas);
	   }
/*FIN******** LINEAS ***************************************************/	

   

$retorno = json_encode ("CORRECTO");

echo $retorno;
